<?php
$p=explode(basename(_DIR_PLUGINS)."/",str_replace('\\','/',realpath(dirname(__FILE__))));
define('_DIR_PLUGIN_EVA_FICHE',(_DIR_PLUGINS.end($p)));

function evafiche_blocgauche_article() {
	$chemin=_DIR_PLUGIN_EVAFICHE."img_pack/";
	$fiche_consignes=array(
		":dire" => "dire.gif",
		":lire" => "lire.gif",
		":ecrire" => "ecrire.gif"
	);
	$fiche_modetravail=array(
		":seul" => "seul.gif",
		":plusieurs" => "plusieurs.gif"
	);
	$fiche_materiel=array(
		":colle" => "colle.gif",
		":ciseaux" => "ciseaux.gif",
		":equerre" => "equerre.gif",
		":compas" => "compas.gif",
		":gomme" => "gomme.gif",
		":crayon" => "crayon.gif",
		":rapporteur" => "rapporteur.gif",
		":sport" => "sport.gif",
		":regle" => "regle.gif",
		":pinceau" => "pinceau.gif",
		":cahier" => "cahier.gif",
		":classeur" => "classeur.gif",
		":livre" => "livre.gif"
	);
	$fiche_supportecriture=array(
		":ligne" => "ligne.png",
		":q1cm" => "quadrillage1cm.gif",
		":q5mm" => "quadrillage5mm.gif",
		":trou" => "trou.png",
		":rond" => "rond.png",
		":carreaux1cm" => "carreaux1cm.png"
	);
	$fiche_numeration_dominos=array(
		":dominovide" => "dominovide.png",
		":domino0" => "domino0.png",
		":domino1" => "domino1.png",
		":domino2" => "domino2.png",
		":domino3" => "domino3.png",
		":domino4" => "domino4.png",
		":domino5" => "domino5.png",
		":domino6" => "domino6.png",
		":domino7" => "domino7.png",
		":domino8" => "domino8.png",
		":domino9" => "domino9.png",
		":dominoX" => "dominoX.png"
	);
	$fiche_numeration_doigts=array(
		":un-g" => "un-g.png",
		":deux-g" => "deux-g.png",
		":trois-g" => "trois-g.png",
		":quatre-g" => "quatre-g.png",
		":cinq-g" => "cinq-g.png",
		":un-d" => "un-d.png",
		":deux-d" => "deux-d.png",
		":trois-d" => "trois-d.png",
		":quatre-d" => "quatre-d.png",
		":cinq-d" => "cinq-d.png"
	);
	$fiche_conscience=array(
		":oeil" => "oeil.png",
		":noeil" => "noeil.png",
		":oreille" => "oreille.png",
		":noreille" => "noreille.png"
	);
	
	$retour = '';
	$retour .= debut_cadre_relief('', true, '', "<center><div style='text-decoration:underline;'>Plugin Article Fiche</div> Ajout d'ic&ocirc;nes dans vos articles</center>");
	$retour .= "<center>Cliquez sur l'image afin de l'ins&eacute;rer dans votre article !</center><br /><hr />Consignes de travail :<br /><center><table align='center'><tr align='center'>";
        foreach ($fiche_consignes as $cle => $valeur) {
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' '.$cle.' \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer '.$cle.'"><img src="'.$chemin.$valeur.'"></a></td>';
	}
	$retour .= "</tr></table></center><hr />";
	$retour .= bouton_block_depliable("Mode de travail",false,'');
        $retour .= debut_block_depliable(false);
	$retour .= "<center><table align='center'><tr align='center'>";
	$indent=0;
        foreach ($fiche_modetravail as $cle => $valeur) {
	if ($indent==3) {$retour .= "<tr align='center'>";}
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' '.$cle.' \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer '.$cle.'"><img src="'.$chemin.$valeur.'"></a></td>';
	$indent++;
	if ($indent==3) {$retour .="</tr>"; $indent=0;}
	}
	$retour .= "</tr></table></center>";
	$retour .= fin_block();
        $retour .= "<br />";
	
	$retour .= bouton_block_depliable("Mat&eacute;riel de classe",false,'');
        $retour .= debut_block_depliable(false);
	$retour .= "<center><table align='center'><tr align='center'>";
	$indent=0;
        foreach ($fiche_materiel as $cle => $valeur) {
	if ($indent==3) {$retour .= "<tr align='center'>";}
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' '.$cle.' \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer '.$cle.'"><img src="'.$chemin.$valeur.'"></a></td>';
	$indent++;
	if ($indent==3) {$retour .="</tr>"; $indent=0;}
	}
	$retour .= "</tr></table></center>";
	$retour .= fin_block();
        $retour .= "<br />";
	
	$retour .= bouton_block_depliable("Support d'&eacute;criture",false,'');
        $retour .= debut_block_depliable(false);
	$retour .= "<center><table align='center'>";
	$retour .= "<tr align='center'>";
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' :frise \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer une frise mesurant 25 cm"><img src="'.$chemin.'frise.gif" width="160px"></a><br />&nbsp;<br /></td>';
	$retour .="</tr>";
	$retour .= "<tr align='center'>";
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' :ligne \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer une ligne d\'&eacute;criture"><img src="'.$chemin.'ligne.png" width="160px"></a><br />&nbsp;<br /></td>';
	$retour .="</tr>";
	$retour .= "<tr align='center'>";
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' :carreaux1cm \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer une s&eacute;rie de carreaux d\'un centim&egrave;tre"><img src="'.$chemin.'carreaux1cm.png" width="160px"></a><br />&nbsp;<br /></td>';
	$retour .="</tr>";
	$retour .= "<tr align='center'>";
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' :trou \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer un trou"><img src="'.$chemin.'trou.png"></a><br />&nbsp;<br /></td>';
	$retour .="</tr></table>";
	$retour .= "<table align='center'><tr align='center'>";
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' :q1cm \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer un quadrillage d\'un centim&egrave;tre"><img src="'.$chemin.'quadrillage1cm.gif"></a>&nbsp;&nbsp;&nbsp;&nbsp;</td>';
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' :q5mm \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer un quadrillage de 5 millim&egrave;tres"><img src="'.$chemin.'quadrillage5mm.gif"></a></td>';
	$retour .= '<td align="center">&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:barre_inserer(\' :rond \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer un cercle"><img src="'.$chemin.'rond.png"></a></td>';
	$retour .="</tr>";	
	$retour .= "</table></center>";
	$retour .= fin_block();
        $retour .= "<br />";
	
	$retour .= bouton_block_depliable("Num&eacute;ration : dominos",false,'');
        $retour .= debut_block_depliable(false);
	$retour .= "<center><table align='center'><tr align='center'>";
	$indent=0;
        foreach ($fiche_numeration_dominos as $cle => $valeur) {
	if ($indent==3) {$retour .= "<tr align='center'>";}
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' '.$cle.' \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer '.$cle.'"><img src="'.$chemin.$valeur.'"></a></td>';
	$indent++;
	if ($indent==3) {$retour .="</tr>"; $indent=0;}
	}
	$retour .= "</tr></table></center>";
	$retour .= fin_block();
        $retour .= "<br />";
	
	$retour .= bouton_block_depliable("Num&eacute;ration : doigts",false,'');
        $retour .= debut_block_depliable(false);
	$retour .= "<center><table align='center'><tr align='center'>";
	$indent=0;$test=0;
        foreach ($fiche_numeration_doigts as $cle => $valeur) {
	if ($indent==3) {$retour .= "<tr align='center'>";}
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' '.$cle.' \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer '.$cle.'"><img src="'.$chemin.$valeur.'"></a></td>';
	$indent++;$test++;
	if (($indent==3) OR ($test==5)) {$retour .="</tr>"; $indent=0;}
	}
	$retour .= "</tr></table></center>";
	$retour .= fin_block();
        $retour .= "<br />";
	
	$retour .= bouton_block_depliable("Conscience phonologique",false,'');
        $retour .= debut_block_depliable(false);
	$retour .= "<center><table align='center'><tr align='center'>";
	$indent=0;
        foreach ($fiche_conscience as $cle => $valeur) {
	if ($indent==2) {$retour .= "<tr align='center'>";}
	$retour .= '<td align="center"><a href="javascript:barre_inserer(\' '.$cle.' \',document.getElementById(\'text_area\'))" tabindex="1000" title="Ins&eacute;rer '.$cle.'"><img src="'.$chemin.$valeur.'"></a></td>';
	$indent++;
	if ($indent==2) {$retour .="</tr>"; $indent=0;}
	}
	$retour .= "</tr></table></center>";
	$retour .= fin_block();
        $retour .= "<br />";
	
	$retour .= fin_cadre_relief(true);
	return $retour;
}
?>